<?php
// $Id: formselectgroup.php,v 1.3 2003/03/19 06:57:49 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
if (!defined("EXOOPS_XOOPSFORMSELECTGROUP_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTGROUP_INCLUDED", 1);
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");
class XoopsFormSelectGroup extends XoopsFormSelect {
	function XoopsFormSelectGroup($caption, $name, $include_anon=false, $value="", $size=1, $multiple=false) {
		$this->XoopsFormSelect($caption, $name, $value, $size, $multiple);
		if ( !$include_anon ) {
			$this->addOptionArray(XoopsGroup::getAllGroupsList(array("type!='Anonymous'")));
			} else {
				$this->addOptionArray(XoopsGroup::getAllGroupsList());
			}
	}
//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
